<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::time Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1time.html">time</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::time Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing time values  
<a href="namespaceunits_1_1time.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a571d1750c7f3fdfb0ad37cff3a9bd118"><td class="memItemLeft" align="right" valign="top"><a id="a571d1750c7f3fdfb0ad37cff3a9bd118"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">second_t</a> &amp;obj)</td></tr>
<tr class="separator:a571d1750c7f3fdfb0ad37cff3a9bd118"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4093b7306807f7617a7dcf148f563fb"><td class="memItemLeft" align="right" valign="top"><a id="aa4093b7306807f7617a7dcf148f563fb"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">second_t</a> &amp;obj)</td></tr>
<tr class="separator:aa4093b7306807f7617a7dcf148f563fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2e80f3a971097ab98286ebdbfbe9aa3"><td class="memItemLeft" align="right" valign="top"><a id="ab2e80f3a971097ab98286ebdbfbe9aa3"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">minute_t</a> &amp;obj)</td></tr>
<tr class="separator:ab2e80f3a971097ab98286ebdbfbe9aa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1870748de6805c62b1a5862a8e2ce760"><td class="memItemLeft" align="right" valign="top"><a id="a1870748de6805c62b1a5862a8e2ce760"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">minute_t</a> &amp;obj)</td></tr>
<tr class="separator:a1870748de6805c62b1a5862a8e2ce760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a713ff966b102e20e881a935aefddd4bd"><td class="memItemLeft" align="right" valign="top"><a id="a713ff966b102e20e881a935aefddd4bd"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">hour_t</a> &amp;obj)</td></tr>
<tr class="separator:a713ff966b102e20e881a935aefddd4bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f466a8bf2d56cdd213f46503c62df7c"><td class="memItemLeft" align="right" valign="top"><a id="a4f466a8bf2d56cdd213f46503c62df7c"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">hour_t</a> &amp;obj)</td></tr>
<tr class="separator:a4f466a8bf2d56cdd213f46503c62df7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ee5c504732f15869bfa4775b105176d"><td class="memItemLeft" align="right" valign="top"><a id="a5ee5c504732f15869bfa4775b105176d"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">day_t</a> &amp;obj)</td></tr>
<tr class="separator:a5ee5c504732f15869bfa4775b105176d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a271f86e87ae87eed02ccfe67d71e3991"><td class="memItemLeft" align="right" valign="top"><a id="a271f86e87ae87eed02ccfe67d71e3991"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">day_t</a> &amp;obj)</td></tr>
<tr class="separator:a271f86e87ae87eed02ccfe67d71e3991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8ca588f3b8d51a1a9a6aba54c6d4d4c"><td class="memItemLeft" align="right" valign="top"><a id="ad8ca588f3b8d51a1a9a6aba54c6d4d4c"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">week_t</a> &amp;obj)</td></tr>
<tr class="separator:ad8ca588f3b8d51a1a9a6aba54c6d4d4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48b97724709ca09771389d832a34801f"><td class="memItemLeft" align="right" valign="top"><a id="a48b97724709ca09771389d832a34801f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">week_t</a> &amp;obj)</td></tr>
<tr class="separator:a48b97724709ca09771389d832a34801f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e69749a5931e5a904171f40d837360"><td class="memItemLeft" align="right" valign="top"><a id="ad1e69749a5931e5a904171f40d837360"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">year_t</a> &amp;obj)</td></tr>
<tr class="separator:ad1e69749a5931e5a904171f40d837360"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2f83281f989eea552c01d9ac64c794a"><td class="memItemLeft" align="right" valign="top"><a id="ad2f83281f989eea552c01d9ac64c794a"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">year_t</a> &amp;obj)</td></tr>
<tr class="separator:ad2f83281f989eea552c01d9ac64c794a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44ff71a7770bb3cfd67779c6ff5aa573"><td class="memItemLeft" align="right" valign="top"><a id="a44ff71a7770bb3cfd67779c6ff5aa573"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">julian_year_t</a> &amp;obj)</td></tr>
<tr class="separator:a44ff71a7770bb3cfd67779c6ff5aa573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac78ef7ad52b426d9f01574abf6f62a38"><td class="memItemLeft" align="right" valign="top"><a id="ac78ef7ad52b426d9f01574abf6f62a38"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">julian_year_t</a> &amp;obj)</td></tr>
<tr class="separator:ac78ef7ad52b426d9f01574abf6f62a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e09c1f815682365fc16f85a246ecf90"><td class="memItemLeft" align="right" valign="top"><a id="a5e09c1f815682365fc16f85a246ecf90"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">gregorian_year_t</a> &amp;obj)</td></tr>
<tr class="separator:a5e09c1f815682365fc16f85a246ecf90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af61ce17781984cb4b34f9453344eb175"><td class="memItemLeft" align="right" valign="top"><a id="af61ce17781984cb4b34f9453344eb175"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">gregorian_year_t</a> &amp;obj)</td></tr>
<tr class="separator:af61ce17781984cb4b34f9453344eb175"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing time values </p>
<p>The SI unit for time is <code>seconds</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>time_unit</code>. <a class="anchor" id="timeContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
